> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withclasp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Carrier

> Retrieves info for a single carrier.



## OpenAPI

````yaml get /carriers/{public_id}
openapi: 3.0.3
info:
  title: ''
  version: 0.0.0
servers: []
security: []
paths:
  /carriers/{public_id}:
    get:
      tags:
        - carriers
      description: Retrieves info for a single carrier.
      operationId: carriers_retrieve
      parameters:
        - in: path
          name: public_id
          schema:
            type: string
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Carrier'
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    Carrier:
      type: object
      properties:
        id:
          type: string
          readOnly: true
          pattern: ^[-a-zA-Z0-9_]+$
        legal_name:
          type: string
          maxLength: 255
        trade_name:
          type: string
          nullable: true
          maxLength: 255
        logo_url:
          type: string
          format: uri
          maxLength: 200
      required:
        - id
        - legal_name
        - logo_url
  securitySchemes:
    tokenAuth:
      type: http
      scheme: bearer
      description: API Key authentication with required prefix "Bearer"

````